"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _eventstoreBase = require("@resolve-js/eventstore-base");

const freeze = async ({
  database,
  eventsTableName,
  escapeId
}) => {
  try {
    await database.exec(`CREATE TABLE ${escapeId(`${eventsTableName}-freeze`)}(
      -- RESOLVE EVENT STORE ${escapeId(eventsTableName)} FREEZE MARKER
      ${escapeId('surrogate')} BIGINT NOT NULL,
      PRIMARY KEY(${escapeId('surrogate')})
    )`);
  } catch (error) {
    throw new _eventstoreBase.EventstoreAlreadyFrozenError();
  }
};

var _default = freeze;
exports.default = _default;
//# sourceMappingURL=freeze.js.map